# TdApi.ChatBoost (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatBoost

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatBoost

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatBoost

Enclosing class:
  TdApi

public static final class TdApi.ChatBoost extends TdApi.Object
Describes a boost applied to a chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`count`
The number of identical boosts applied.
`int`
`expirationDate`
Point in time (Unix timestamp) when the boost will expire.
`String`
`id`
Unique identifier of the boost.
`TdApi.ChatBoostSource`
`source`
Source of the boost.
`int`
`startDate`
Point in time (Unix timestamp) when the chat was boosted.

## Constructor Summary

Constructors
Constructor
Description
`ChatBoost()`
Describes a boost applied to a chat.
`ChatBoost(DataInput input)`
Describes a boost applied to a chat.
`ChatBoost(String id, int count, TdApi.ChatBoostSource source, int startDate, int expirationDate)`
Describes a boost applied to a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the boost.

### count

public int count
The number of identical boosts applied.

### source

public TdApi.ChatBoostSource source
Source of the boost.

### startDate

public int startDate
Point in time (Unix timestamp) when the chat was boosted.

### expirationDate

public int expirationDate
Point in time (Unix timestamp) when the boost will expire.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatBoost

public ChatBoost()
Describes a boost applied to a chat.

### ChatBoost

public ChatBoost(String id, int count, TdApi.ChatBoostSource source, int startDate, int expirationDate)
Describes a boost applied to a chat.

Parameters:
  `id` - Unique identifier of the boost.
  `count` - The number of identical boosts applied.
  `source` - Source of the boost.
  `startDate` - Point in time (Unix timestamp) when the chat was boosted.
  `expirationDate` - Point in time (Unix timestamp) when the boost will expire.

### ChatBoost

public ChatBoost(DataInput input) throws IOException
Describes a boost applied to a chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`